Results 1 to 4 of 4

Thread: Keepassxc GCRY_CIPHER_CHACHA20 not found error.

  1. #1

    Default Keepassxc GCRY_CIPHER_CHACHA20 not found error.

    It appears that the Leap 42.3 version of Keepassxc has not been upgraded and so only version 2.2.4 is offered whereas Leap 15.0 offers version 2.3.3.
    I therefore went to the community site where there were several built versions available but I am getting the captioned error. Seems that my libcrypt libraries are not up to date and building also creates a problem beyond my abilities!!!
    Is there an easy way to include this cryptographic function by updating the relevant library in my existing system?
    Budgie2

  2. #2

    Default Re: Keepassxc GCRY_CIPHER_CHACHA20 not found error.

    Should have added that I found a community link which updated my libgcrypt library and now it seems to work OK

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,825
    Blog Entries
    15

    Default Re: Keepassxc GCRY_CIPHER_CHACHA20 not found error.

    Quote Originally Posted by Budgie2 View Post
    Should have added that I found a community link which updated my libgcrypt library and now it seems to work OK
    Hi
    Just an FYI, in general if you add a package from a community repository and it needs an updated library that is not in the default/update repositories then it will be built in the project your pulling a package from...

    So for arguments sake you used keeppassxc from;
    https://build.opensuse.org/package/s...csos/keepassxc
    Then you would also find the corresponding lib;
    https://build.opensuse.org/package/s...csos/libgcrypt

    So you would install from the repo, let it switch any libs and then probably best to disable the community repository. If updates arrive, just check the repository, enable, update and disable again.....
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #4

    Default Re: Keepassxc GCRY_CIPHER_CHACHA20 not found error.

    Hi Malcolm,
    Many thanks. AFAIK I did install everything from the community site which should have included the libraries but it still threw a wobbly even so.
    I think all is well now and I have disabled the community sites. I found the missing component in an update so perhaps the original community build was out of date?

    Meanwhile I am having all kinds of fun failing to get keepassxc working correctly.
    Will post a new thread in due course.
    Budgie2

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •